Ptex

Classes | Functions
PtexHashMap.h File Reference

Contains PtexHashMap, a lightweight multi-threaded hash table. More...

`#include <vector>`
`#include "PtexPlatform.h"`
`#include "PtexMutex.h"`

Go to the source code of this file.

## Classes
class | StringKey
class | IntKey
class | PtexHashMap< Key, Value >
class | PtexHashMap< Key, Value >::Entry

## Functions
PTEX_NAMESPACE_BEGIN uint32_t | memHash (const char *val, int len)
bool | memCompare (const char *a, const char *b, int len)

## Detailed Description

Contains PtexHashMap, a lightweight multi-threaded hash table.

Definition in file PtexHashMap.h.

## Function Documentation

## ◆ memCompare()

bool memCompare | ( | const char * | a,
|  | const char * | b,
|  | int | len
| ) |  |
| inline

Definition at line 69 of file PtexHashMap.h.

Referenced by StringKey::matches().

## ◆ memHash()

PTEX_NAMESPACE_BEGIN uint32_t memHash | ( | const char * | val,
|  | int | len
| ) |  |
| inline

Definition at line 49 of file PtexHashMap.h.

Referenced by StringKey::StringKey().